org.apache.cassandra.io

## Class FSError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.io.IOError
      - - org.apache.cassandra.io.FSError

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FSReadError, FSWriteError

    public abstract class FSError
    extends java.io.IOError

See Also:
  Serialized Form

### Field Summary

Fields
`java.io.File` `path`

### Constructor Summary

Constructors
Constructor and Description
`FSError(java.lang.Throwable cause, java.io.File path)`

### Method Summary

All Methods Static Methods Concrete Methods
`static FSError` `findNested(java.lang.Throwable top)` Unwraps the Throwable cause chain looking for an FSError instance

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### path

    public final java.io.File path

### Constructor Detail

#### FSError

    public FSError(java.lang.Throwable cause,
                   java.io.File path)

### Method Detail

#### findNested

    public static FSError findNested(java.lang.Throwable top)

Unwraps the Throwable cause chain looking for an FSError instance

Parameters:
  `top` - the top-level Throwable to unwrap
Returns:
  FSError if found any, null otherwise